yade:fixPedantic

Last commit made on 2019-10-13
Get this branch:
git clone -b fixPedantic https://git.launchpad.net/yade

Branch merges

Branch information

Name:
fixPedantic
Repository:
lp:yade

Recent commits

d6b5675... by Janek Kozicki on 2019-10-13

https://gcc.gnu.org/onlinedocs/gcc-4.8.5/cpp/Swallowing-the-Semicolon.html#Swallowing-the-Semicolon

b441ab8... by Janek Kozicki on 2019-08-04

Fix almost all of -Wpedantic warnings. Only those in (1) vtk library (2) class State (3) Gl1_PotentialBlock.cpp, Ig2_PB_PB_ScGeom.cpp 'ISO C++ forbids variable length array' [-Wvla] remain unfixed.

15c14e5... by Janek Kozicki on 2019-08-04

Enable -Wpedantic warnings, but don't mark them as errors.

3d6011b... by Janek Kozicki on 2019-08-04

whitespace

6dbcc33... by Janek Kozicki on 2019-08-03

Improve comments

b67fe9a... by Janek Kozicki on 2019-08-03

Detect earlier numpy version.

0156e26... by Janek Kozicki on 2019-08-03

numpy 1.11.0 has unused-function, 1.13 does not. So we have to print warning when it appears.

09aefdd... by Janek Kozicki on 2019-08-03

Use previous fix also for ubuntu 18.04

7687e21... by Janek Kozicki on 2019-08-03

small fix

6723191... by Janek Kozicki on 2019-08-03

Fix -Werror compatible-local for ubuntu 18.10 which has a combination of eigen 3.3.4 and g++ 8.2.